The federationSettings resource allows you to return all role mappings from the specified organization in the specified federation.
Required Roles
You must have the Organization Owner role to call this endpoint.
Resource
Base URL: https://cloud.mongodb.com/api/public/v1.0
GET /federationSettings/{FEDERATION-SETTINGS-ID}/connectedOrgConfigs/{ORG-ID}/roleMappings
Request
Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique 24-hexadecimal digit string that identifies the federated authentication configuration. |
| string | Unique 24-hexadecimal digit string that identifies the connected organization. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default | ||||||
|---|---|---|---|---|---|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body should be in a prettyprint format. |
| ||||||
envelope | boolean | Optional | Flag that indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint does not use HTTP request body parameters.
Response
links
An array of documents, representing a link to one or more sub-resources and/or related resources such as list pagination. See Linking for more information.
results
An array of documents, each representing one role mapping.
Name | Type | Description |
|---|---|---|
| string | Unique human-readable label that identifies the identity provider group associated with the role mapping. |
| string | Unique 24-hexadecimal digit string that identifies the role mapping. |
| array | List that contains the unique identifiers for the projects and organizations associated with each role. |
| string | Unique 24-hexadecimal digit string that identifies the project in which the role applies. |
| string | Unique 24-hexadecimal digit string that identifies the organization in which the role applies. |
| string | Human readable label that identifies the role. |
totalCount
The total number of items in the result set. This value may be higher than the number of objects in the results array if the entire result set is paginated.
Example
Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request GET "https://cloud.mongodb.com/api/public/v1.0/federationSettings/{FEDERATION-SETTINGS-ID}/connectedOrgConfigs/{ORG-ID}/roleMappings"
Response
{ "links": [ { "href": "https://cloud.mongodb.com/api/public/v1.0/federationSettings/{FEDERATION-SETTINGS-ID}/connectedOrgConfigs/{ORG-ID}/roleMappings?pageNum=1&itemsPerPage=100", "rel": "self" } ], "results": [ { "externalGroupName": "autocomplete-highlight", "id": "61d88e15e6cc044270a36fce", "roleAssignments": [ { "groupId": null, "orgId": "{ORG-ID}", "role": "ORG_OWNER" }, { "groupId": "{GROUP-ID}", "orgId": null, "role": "GROUP_OWNER" } ] } ], "totalCount": 1 }